### Function

# Cogl FrameCallback

#### Declaration

    void
    (* CoglFrameCallback) (
      CoglOnscreen* onscreen,
      CoglFrameEvent event,
      CoglFrameInfo* info,
      void* user_data
    )

#### Description [src]

Is a callback that can be registered via `cogl_onscreen_add_frame_callback()` to be called when a frame progresses in some notable way.

Please see the documentation for `CoglFrameEvent` and `cogl_onscreen_add_frame_callback()` for more details about what events can be notified.

#### Parameters

`onscreen`

  Type: `CoglOnscreen`

  The onscreen that the frame is associated with.

  The data is owned by the caller of the function.

`event`

  Type: `CoglFrameEvent`

  A `CoglFrameEvent` notifying how the frame has progressed.

`info`

  Type: `CoglFrameInfo`

  The meta information, such as timing information, about the frame that has progressed.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  The user pointer passed to cogl_onscreen_add_frame_callback().

  The argument can be `NULL`.
  The data is owned by the caller of the function.